コンテンツへスキップ

Kling Video v2.6 Image to Video

統合

モデルID kling-video/v2.6/pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v2.6/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.70 700 APIクレジット このページで実行

APIキーを取得
Kling 画像から動画 ネイティブ音声5–10 s

任意の終了フレーム、ネイティブ音声生成、ボイスID参照に対応するv2.6 image-to-video

Doitongで作成

DoitongコミュニティがKling Video v2.6で作成した公開作品です。ワンクリックでプロンプトを再利用できます。

公開作品:16件
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё к... 動画

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно ... 動画

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swir... 動画

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг... 動画

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 2500
•必須 start_image_url
ファイルをドロップ、または

動画生成に使用する画像を指すURL。ファイルサイズは50 MB以内、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。

duration 5 s

出力動画の長さ(秒)。

動画生成に使用する任意のVoice ID。1タスクにつき2つまでです。プロンプトでは <<<voice_1>>> と <<<voice_2>>> で参照します。

詳細設定 negative_prompt · end_image · enable_safety_checker
0 / 2500
end_image_url
ファイルをドロップ、または

動画の終了時点に使用する画像を指すURL。ファイルサイズは50 MB以内、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。

POST /run/kling-video/v2.6/pro/image-to-video?wait=20 見積もり → $0.70
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v2.6/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Kling Video v2.6 Image to Videoについて

開始画像(`start_image_url`)を最大2500文字のプロンプトでアニメーション化し、任意で`end_image_url`を最後のフレームにします。`duration`は5秒または10秒です。`generate_audio`で中国語または英語の発話を含むネイティブ音声を生成でき、`voice_ids`でプロンプト内から最大2つの音声を参照できます。`negative_prompt`にも対応します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを無効にできるのはアカウント認証済みの場合のみです。認証のないリクエストには常にチェックが実行されます。
prompt必須
型string
≤ 2,500文字
start_image_url必須 image
型url · image
動画生成に使用する画像を指すURL。ファイルサイズは50 MB以内、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。
duration任意
型enum
デフォルト5
510
出力動画の長さ(秒)。
negative_prompt任意
型string
デフォルトblur, distort, and low quality
≤ 2,500文字
generate_audio任意
型boolean
デフォルトtrue
ネイティブ動画音声の生成切り替え。中国語または英語の音声に対応し、その他の言語は自動的に英語へ翻訳します。英語の発話では、頭字語と固有名詞を大文字、それ以外を小文字で記述します。
voice_ids任意
型string[]
動画生成に使用する任意のVoice ID。1タスクにつき2つまでです。プロンプトでは <<<voice_1>>> と <<<voice_2>>> で参照します。
end_image_url任意 end_image
型url · image
動画の終了時点に使用する画像を指すURL。ファイルサイズは50 MB以内、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v2.6/pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 700,
    "usd": "0.70",
    "charged": 700,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "start_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}モデルが生成した動画。

その他のモデル: 画像から動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/kling-video/v2.6/pro/image-to-video.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt